/// Determined from trial and error, comparing to the original game in DOSBox,
/// Fast PC mode at 400 cycles/ms.
pub const CLOCK_PERIOD: f32 = 0.184;
pub const PLAYER_STEP_PERIOD: f32 = 1.0 / 7.5;
pub const FLASHING_PERIOD: f32 = 0.02;

pub const SIDEBAR_POS_X: i32 = 66;
pub const SIDEBAR_POS_Y: i32 = 0;

pub const MAP_WIDTH: usize = 64;
pub const MAP_HEIGHT: usize = 23;
pub const MAP_SIZE: usize = MAP_WIDTH * MAP_HEIGHT;

pub const MAP_X: usize = 1;
pub const MAP_Y: usize = 1;

pub const BASE_WHIP_POWER: u32 = 2;
