use crate::resources::Resources;

pub fn run(resources: &mut Resources) {
    if resources.clock.has_ticked {
        if let Some(t) = resources.speed_time_ticks.checked_sub(1) {
            resources.speed_time_ticks = t;
        }
        if let Some(t) = resources.slow_time_ticks.checked_sub(1) {
            resources.slow_time_ticks = t;
        }
    }
}
