#[derive(Debug, Default)]
pub struct MessageShown {
    pub touched_boundary: bool,
    pub slow_time: bool,
    pub speed_time: bool,
    pub whip: bool,
    pub gem: bool,
    pub teleport_scroll: bool,
    pub stairs: bool,
}

impl MessageShown {
    pub fn all_shown() -> Self {
        MessageShown {
            touched_boundary: true,
            slow_time: true,
            speed_time: true,
            whip: true,
            gem: true,
            teleport_scroll: true,
            stairs: true,
        }
    }
}
